Scania R & Streamline Modifications v 2.2 [1.27]

YouTube preview

This mod adds reworked versions of Scania R-series and Streamline for ETS2. Contains many customization options and more chassis, cabin, engine and transmission options.
Fully standalone mod, it doesn’t replace anything. You can find the truck from Scania dealer.
Currently supported game version: 1.27
Current mod version: V2.2

Changelog V2.1 to V2.2:
-Updated the mod for 1.27 patch
-Added dashboard indicators for differential lock and trailer lift axle
-Added animated dashboard buttons for exhaust brake, differential lock, truck lift axle and trailer lift axle
-Fixed random game crash issues when using the mod in OpenGL mode (the mod SHOULD be OpenGL compatible now)
-Moved the fifth wheel forward on 8x and 10x chassis to reduce understeering with heavy loads
-Added more weight for 8x and 10x chassis to reduce understeering with heavy loads
-Lowered hook position by 25 millimeters on 4×2 Lowdeck
-Random bug fixes and other small changes
-Mighty Griffin DLC compatibility pack compatibel (on Workshop)

You can share this on other sites but KEEP ORIGINAL DOWNLOAD LINK AND CREDITS! NO NOT REUPLOAD TO OTHER FILE SHARING SITES! You can freely edit mod for personal use. Publishing edited mod without my (RJL) permission is forbidden

Credits:
RJL/Fordsonmies, Jetta, GT-Mike, 50keda, Sheryo, Anaheim, Mr. Poland, Szeryff123 (a few parts from them), SCS Software (original models), Thunderhawk (equipment tower)

DOWNLOAD 61 MB

25 thoughts on “Scania R & Streamline Modifications v 2.2 [1.27]

  1. Mr.GermanTruck

    Test Video on v1.27
    youtube.com/watch?v=o8o2PFS9kt8

  2. PolishDriverTruck

    HD Test Video 1.27… youtube.com/watch?v=b3Lrieqd6N8

  3. Tazik63.ru

    Большое спасибо автору за мод и всем тем кто ему помогал.

  4. Have you corrected the issue in which the 6×2/4 midlift chassis low paint/plastic wheel guard clip with the wheels?

  5. DylanMPower

    Hello Could you lower the chassis 6×4 long?

    1. Oh please do it.

  6. can you update this mod to 1.26xx? please????????????????
    Scania P_G crash 1.27

    1. káposzta123

      You are so ###### XD

  7. I can see any scs!Why?

  8. sii?? why not scs?? i can not open it!

  9. mustang145

    its apparently incompatible with my game, what?

  10. Simon Kristensen

    hey how do you install the mod?

  11. hey how do you install the mod??????

  12. wieso geht kein scs ?????? so kann ich den nicht benutzen

  13. Ole M. J. Fiksdal

    Where is the the .scs file?

  14. Ole M. J. Fiksdal

    HI+AGAIN!+ATTENTION!!!

    If+you+can’t+find+the+.scs+file,+it+is+because+the+author+says+you+should+put+the+.zip+file+in+your+mod+folder+as+you+would+with+the+.scs+file.+

    Here+is+what+he+says:+
    “From+version+V2.1,+the+mod+is+using+zip+format.+When+you+download+the+mod,+just+put+the+downloaded+zip+file+directly+to+your+mod+folder+and+activate+it+in+game+mod+manager.+DO+NOT+EXTRACT+IT+BECAUSE+IT+IS+NO+LONGER+NEEDED!+It+will+work+as+before,+the+file+extension+is+just+zip+instead+of+scs.”+
    Taken+from:+http://forum.scssoft.com/viewtopic.php?f=35&t=177963

    Be+blessed+beauties!

  15. neranjana

    not working in 1.27.plz help me…

  16. MY game not showing this mod

  17. Version 1.26 link ?

  18. KaLLeMar77

    Hi, Awsome mod. The only problem I’ve had so far is the 8×4/4 chassis doesn’t work with the advanced trailer coupling. Works fine if I turn that off, but it more realistic with it on.

  19. SCANIA fan

    Hello,RJL!I’m a loyal fan of yours in China.As it’s difficult for most Chinese to download mods in ETS2.lt,so could you please give me the right to reupload your mod in a Chinese website so that more people can use your work?Thanks a lo!

  20. df11g0007

    Hello,RJL!I’m a loyal fan of yours in China.As it’s difficult for most Chinese to download mods in ETS2.lt,so could you please give me the right to reupload your mod in a Chinese website so that more people can use your work?Thanks a lo!

  21. you said this mod for 1.27 but when i download and use this mod. the mod says incompatible with my current game. and in the mod description, it says the mod is for version 1.28

  22. i found the link for the v 1.27 and older version here

    http://www.mediafire.com/folder/1m5906txb6kn6/RS_old_versions

  23. Works with 1.28?

Leave a Reply

Your email address will not be published.

Human Verification: In order to verify that you are a human and not a spam bot, please enter the answer into the following box below based on the instructions contained in the graphic.